<?php

include 'includes/application_top.php';

$postAction = "";
if (isset($_POST['post-action']))
{
    $postAction = $_POST['post-action'];
}

$status = array(
    "code" => 0,
    "message" => "No post action implemented for " . $postAction,
);

$_SESSION['cart']->calculate();
$cartContents = $_SESSION['cart']->contents;
$cart_total = $_SESSION['cart']->total;
$shipping_total = 0.00;
$lof_total = 0.00;
if ($cart_total < 50.00)
{
    $_SESSION['LOF'] = "YES";
    $lof_total = 20.00;
}
else
{
    $_SESSION['LOF'] = "NO";
}
$taxes_total = 0.00;

$coupon_code = "";
if (isset($_SESSION['shipping']['status']['values']['total']))
{
    $shipping_total = $_SESSION['shipping']['status']['values']['total'];
}
else
{
    $shipping_total = 0.00;
}
if (isset($_SESSION['taxes']['status']['values']['total']))
{
    $taxes_total = $_SESSION['taxes']['status']['values']['total'];
}
else
{
    $taxes_total = 0.00;
}

switch ($postAction)
{
    case "renderCart":

        unset($_SESSION['shipping']);
        unset($_SESSION['taxes']);
        $cartItems = "";
        $total = 0.00;
        $coupon_code = "";
        $coupon_amount = 0.00;
        $coupon_amount_display = "$0.00";
        if (isset($_SESSION['coupon']['amount']))
        {
            $coupon_code = $_SESSION['coupon']['code'];
            if ($_SESSION['coupon']['type'] == "P")
            {
                $coupon_amount = $cart_total * $_SESSION['coupon']['amount'];
                $coupon_amount_display = 100 * $_SESSION['coupon']['amount'] . "%";
            }
            if ($_SESSION['coupon']['type'] == "F")
            {
                $coupon_amount = $_SESSION['coupon']['amount'];
                $coupon_amount_display = '- $' . number_format($coupon_amount, 2);
            }
        }
        $couponCode = empty($coupon_code)? '' : " value='$coupon_code'";
        $couponButton = "";
        $couponDisplay = "";
        if (isset($_SESSION['coupon']['code']))
        {
            $couponButton = "<button type='button' class='btn btn-danger text-white mx-1' id='coupon-code-remove'>Remove</button>";
            $couponDisplay = "
            <div class='d-flex align-items-center pb-2 cart-collapsible'>
                <p class='fw-bold mb-0'>Coupon:</p>
                <p class='ms-auto mb-0' id='coupon-amount'>
                    $coupon_amount_display
                </p>
            </div>
            ";
        }
        else
        {
            $couponButton = "<button type='button' class='btn bg-darker-gray text-white mx-1' id='coupon-code-apply'>Apply</button>";
            $couponDisplay = "";
        }
        
        $total += $cart_total;
        $cart_total = number_format($cart_total, 2);

        foreach($cartContents as $id => $content)
        {
            $productQuery = "
                SELECT zm.manufacturers_name, p.products_id, p.products_image, p.products_price, p.products_model, zp.products_alt_name, zp.products_name, zp.products_alt_name  
                FROM zen_products p
                LEFT JOIN zen_products_description zp ON zp.products_id = p.products_id
                LEFT JOIN zen_manufacturers zm ON zm.manufacturers_id = p.manufacturers_id
                WHERE p.products_id = '$id'
            ";
            $product = $db->Execute($productQuery);
            $qty = $content['qty'];
            $manufacturerName = $product->fields['manufacturers_name'];

            if (strpos($manufacturerName, "manfStock") !== FALSE)
            {
                $manufacturerName = substr($manufacturerName, 23, -6);
            }

            $price = $product->fields['products_price'];
            $model = $product->fields['products_model'];
            $altName = $product->fields['products_alt_name'];
            $name = $product->fields['products_name'] ?: $altName;
            $product_total = "$" . number_format($qty * $price, 2);
            $cartItemText = "
                <div>
                    <p class='mb-0'>
                        <span class='cart-page-item-brand'>$manufacturerName</span>
                        <span class='cart-page-item-model'>$model </span> 
                        <span class='cart-page-item-quantity'>x $qty</span>
                    </p>
                </div>
            ";
            $cartItems .= $cartItemText;
        }

        $lowOrder = "";
        if ($_SESSION['LOF'] == "YES")
        {
            $lowOrder = "
                <div class='d-flex align-items-center cart-collapsible'>
                    <p class='fw-bold mb-3'>Low Order Fee:</p>
                    <p class='ms-auto mb-3' id='LOF-cost'>
                        $20.00
                    </p>
                </div>
            ";
        }

        $subTotalsSection = "
            <div class='d-flex align-items-center pt-3 cart-collapsible'>
                <p class='fw-bold mb-0'>Subtotal:</p>
                <p class='ms-auto mb-0' id='subtotal-cost'>
                    $$cart_total
                </p>
            </div>
            <div class='d-flex align-items-center cart-collapsible'>
                <p class='fw-bold mb-0'>Shipping:<span id='shipping-method'></span></p>
                <p class='ms-auto mb-0' id='shipping-cost'>
                    $0.00
                </p>
            </div>
            $lowOrder
            <div class='d-flex align-items-center cart-collapsible'>
                <div class='form-floating-label-container'>
                    <input type='text' id='coupon-code-input' class='form-control' placeholder='Coupon Code'$couponCode>
                    <label for='coupon-code-input'>Coupon Code</label>
                </div>
                $couponButton
            </div>
            $couponDisplay
            <div class='d-flex align-items-center pb-3 cart-collapsible'>
                <p class='fw-bold mb-0'>Taxes:</p>
                <p class='ms-auto mb-0' id='taxes-cost'>
                    $0.00
                </p>
            </div>
        ";

        $total -= $coupon_amount;
        $total += $lof_total;
        $total += $shipping_total;
        $total += $taxes_total;

        $total = number_format($total, 2);

        $cartBox = "
            <div id='summary-details'>
                <div class='summary-caret-container'>
                    <button type='button' class='btn w-100' id='summary-container-button'>
                        &#9660;
                    </button>
                </div>
                <div class='summary-container pt-3 pb-0' id='summary-details-container'>
                    <p class='mb-1 fw-bold'>Order Summary:</p>
                    $cartItems
                </div>
            </div>
            <div id='summary-line-items'>
                $subTotalsSection

                <div class='d-flex align-items-center pt-3 pb-3'>
                    <p class='fw-bold mb-0 cart-collapsible'>Total:</p>
                    <p class='ms-auto mb-0 cart-collapsible' id='total-cost'>
                        $$total
                    </p>
                </div>
            </div>
        ";

        $status = array(
            "code" => 1,
            "content" => $cartBox,
            "cart" => $_SESSION['cart']->get_products()
        );

        break;
    case "updateCart":

        $total = 0.00;
        $total += $cart_total;

        $coupon_amount = 0.00;
        $coupon_amount_display = "$0.00";
        if (isset($_SESSION['coupon']['amount']))
        {
            $coupon_code = $_SESSION['coupon']['code'];
            if ($_SESSION['coupon']['type'] == "P")
            {
                $coupon_amount = $total * $_SESSION['coupon']['amount'];
                $coupon_amount_display = 100 * $_SESSION['coupon']['amount'] . '%';
            }
            if ($_SESSION['coupon']['type'] == "F")
            {
                $coupon_amount = $_SESSION['coupon']['amount'];
                $coupon_amount_display = '- $' . number_format($coupon_amount, 2);
            }
        }

        $couponButton = "";
        $couponDisplay = "";
        if (isset($_SESSION['coupon']['code']))
        {
            $couponButton = "<button type='button' class='btn btn-danger text-white mx-1' id='coupon-code-remove'>Remove</button>";
            $couponDisplay = "
            <div class='d-flex align-items-center pb-2 cart-collapsible'>
                <p class='fw-bold mb-0'>Coupon:</p>
                <p class='ms-auto mb-0' id='coupon-amount'>
                    $coupon_amount_display
                </p>
            </div>
            ";
        }
        else
        {
            $couponButton = "<button type='button' class='btn bg-darker-gray text-white mx-1' id='coupon-code-apply'>Apply</button>";
            $couponDisplay = "";
        }

        $total -= $coupon_amount;
        $total += $shipping_total;
        $total += $lof_total;
        $total += $taxes_total;

        $_SESSION['cart_calculated'] = array(
            "subtotal" => $cart_total,
            "shipping" => $shipping_total,
            "low-order" => $lof_total,
            "coupon" => $coupon_amount,
            "taxes" => $taxes_total,
            "total" => $total
        );
        
        $cart_total = number_format($cart_total, 2) . '';
        $cart_total = "$$cart_total";
        $shipping_total = number_format($shipping_total, 2) . '';
        if (isset($_SESSION['shipping']['status']['values']['method']))
        {
            $shipping_total = " ({$_SESSION['shipping']['status']['values']['method']}) $$shipping_total";
        }
        else
        {
            $shipping_total = "$$shipping_total";
        }
        $taxes_total = number_format($taxes_total, 2) . '';
        $taxes_total = "$$taxes_total";
        $coupon_amount = number_format($coupon_amount, 2) . '';
        $coupon_amount = "$$coupon_amount";
        $couponCode = empty($coupon_code)? '' : " value='$coupon_code'";
        $total = number_format($total, 2) . '';
        $total = "$$total";

        $lowOrder = "";
        if ($_SESSION['LOF'] == "YES")
        {
            $lowOrder = "
                <div class='d-flex align-items-center cart-collapsible'>
                    <p class='fw-bold mb-3'>Low Order Fee:</p>
                    <p class='ms-auto mb-3' id='LOF-cost'>
                        $20.00
                    </p>
                </div>
            ";
        }

        $subTotalsSection = "
            <div class='d-flex align-items-center pt-3 cart-collapsible'>
                <p class='fw-bold mb-0'>Subtotal:</p>
                <p class='ms-auto mb-0' id='subtotal-cost'>
                    $cart_total
                </p>
            </div>
            <div class='d-flex align-items-center cart-collapsible'>
                <p class='fw-bold mb-0'>Shipping:<span id='shipping-method'></span></p>
                <p class='ms-auto mb-0' id='shipping-cost'>
                    $shipping_total
                </p>
            </div>
            $lowOrder
            <div class='d-flex align-items-center cart-collapsible'>
                <div class='form-floating-label-container'>
                    <input type='text' id='coupon-code-input' class='form-control' placeholder='Coupon Code'$couponCode>
                    <label for='coupon-code-input'>Coupon Code</label>
                </div>
                $couponButton
            </div>
            $couponDisplay
            <div class='d-flex align-items-center pb-3 cart-collapsible'>
                <p class='fw-bold mb-0'>Taxes:</p>
                <p class='ms-auto mb-0' id='taxes-cost'>
                    $taxes_total
                </p>
            </div>
        ";

        $summaryLineItems = "
            $subTotalsSection
            <div class='d-flex align-items-center pt-3 pb-3'>
                <img src='/images/cart-shopping.svg' height='50' width='50'/>
                <p class='fw-bold mb-0 cart-collapsible'>Cart Summary</p>
                <p class='ms-auto mb-0 cart-collapsible' id='total-cost'>
                    $total
                </p>
            </div>
        ";

        $status = array(
            "code" => 1,
            "content" => $summaryLineItems
        );

        break;
}

echo json_encode($status);