<?php
  // Display all header alerts via messageStack:
  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
  if (!empty($_GET['error_message'])) {
    echo zen_output_string_protected(urldecode($_GET['error_message']));
  }
  if (!empty($_GET['info_message'])) {
   echo zen_output_string_protected($_GET['info_message']);
}
// check whether to only display errors/alerts, or to also display the rest of the header
if (isset($flag_disable_header) && $flag_disable_header === true) {
  // do early-return from this template since $flag_disable_header is true
  return;
}

?>
<?php

$dropdowns = array();

$dropdowns['categories'] = $db->Execute("SELECT zen_categories.categories_id, zen_categories.sort_order, zen_categories_description.categories_name FROM `zen_categories` LEFT JOIN `zen_categories_description` ON zen_categories.categories_id = zen_categories_description.categories_id  WHERE `parent_id` = 2 AND zen_categories.categories_status = 1 ORDER BY zen_categories_description.categories_name ASC");
$dropdowns['brands'] = $db->Execute("SELECT zen_categories.categories_id, zen_categories.sort_order, zen_categories_description.categories_name FROM `zen_categories` LEFT JOIN `zen_categories_description` ON zen_categories.categories_id = zen_categories_description.categories_id  WHERE `parent_id` = 1 AND zen_categories.categories_status = 1 ORDER BY zen_categories_description.categories_name ASC");
$dropdowns['parts'] = $db->Execute("SELECT zen_categories.categories_id, zen_categories.sort_order, zen_categories_description.categories_name FROM `zen_categories` LEFT JOIN `zen_categories_description` ON zen_categories.categories_id = zen_categories_description.categories_id  WHERE `parent_id` = 4433 AND zen_categories.categories_status = 1 ORDER BY zen_categories_description.categories_name ASC");

?>  
<header>
    <nav class="navbar navbar-expand-md bg-westech-green pt-0" id="header-navbar">
        <div class=" container-fluid p-0 main-navbar-container">
            <div class="container-fluid bg-white p-0">
                <div class="container-lg navbar-core-components-container">
                
                    <button class="navbar-toggler" type="button" data-bs-toggle="offcanvas" aria-label="navbar button"
                        data-bs-target="#offcanvasNavbar" aria-controls="offcanvasNavbar" >
                        <span class="navbar-toggler-icon"></span>
                    </button>

                    <p class="fw-bold fs-5" id="navbar-brand-text">
                        The Pump and Tank Equipment Company<span class="registered-trademark">®</span><span id="navbar-contact-info"><br />
                        <img src="images/phone-solid.svg" alt="phone" height="16" width="16" /> <a class="text-black" href="tel:+18004338831">1 (800) 433-8831</a> <img src="images/clock-solid.svg" alt="time" height="16" width="16" /> 7:30 AM - 4:30 PM MST</span></p>
                    <a href="/" title="Westech Equipment Home Page" id="navbar-logo-container">
                        <img src="/images/westech-logo.webp" alt="Westech Equipment Logo" id="navbar-logo">
                    </a>
                    <div id="navbar-icons-container">
                        <a 
                            class="text-black"
                            href="<?php echo zen_href_link("cart", '', 'SSL'); ?>"
                            id="navbar-cart-group"
                            aria-label="Cart page naviagtion link"
                        >
                            <i class="fa-solid fa-cart-shopping fa-xl navbar-cart"></i>
                            <?php if ($_SESSION['cart']->count_contents() != 0) { ?>
                                <p id="navbar-cart-number"><?php echo $_SESSION['cart']->count_contents(); ?></p>
                            <?php } ?>
                        </a>
                    </div>
                    <form role="search" id="navbar-search-form">
                        <div class="input-group" id="navbar-search-input-group">
                            <input type="text" class="form-control" id="navbar-search-input" placeholder="Search Catalog..." aria-label="Product" />
                            <button type="submit" class="fa-solid fa-magnifying-glass fa-lg" aria-label="Search product button"
                                id="navbar-search-icon-button"></button>
                        </div>
                        <div id="navbar-search-results-container">
                        </div>
                    </form>
                </div>

            </div>
            <div class="container-lg navbar-link-components">
                <div class="offcanvas offcanvas-start" tabindex="-1" id="offcanvasNavbar"
                    aria-labelledby="offcanvasNavbarLabel">
                    <div class="offcanvas-header bg-westech-green text-white">
                        <!-- <h5 class="offcanvas-title" id="offcanvasNavbarLabel">The Pump and Tank Equipment Company<span class="registered-trademark">®</span><span id="navbar-contact-info"></h5> -->
                        <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
                    </div>
                    <div class="offcanvas-body bg-westech-green text-white">
                        <ul class="navbar-nav justify-content-start flex-grow-1">
                            <li class="nav-item">
                                <a class="nav-link dropdown-toggle header-nav-link" role="button" data-bs-toggle="dropdown"
                                    aria-expanded="false">
                                    CATEGORIES
                                </a>
                                <ul class="dropdown-menu navbar-dropdown-menu">
                                    <div class="navbar-dropdown-container">
                                        <li class="navbar-dropdown-header-container">
                                            <div class="navbar-dropdown-header">
                                                <i class="fa-solid fa-left-long fa-xl navbar-dropdown-header-icon"></i>
                                                <p class="navbar-dropdown-header-text">CATEGORIES</p>
                                            </div>
                                        </li>
                                        <?php

                                        foreach ($dropdowns['categories'] as $cat) {
                                            echo '<li>';
                                            echo '<a class="dropdown-item" href="?main_page=index&cPath=2_' . $cat['categories_id'] . '">' . $cat['categories_name'] . '</a>';
                                            echo '</li>';
                                        }

                                        ?>
                                    </div>
                                </ul>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link dropdown-toggle header-nav-link" role="button" data-bs-toggle="dropdown"
                                    aria-expanded="false">
                                    BRANDS
                                </a>
                                <ul class="dropdown-menu navbar-dropdown-menu">
                                    <div class="navbar-dropdown-container">
                                        <li class="navbar-dropdown-header-container">
                                            <div class="navbar-dropdown-header">
                                                <i class="fa-solid fa-left-long fa-xl navbar-dropdown-header-icon"></i>
                                                <p class="navbar-dropdown-header-text">BRANDS</p>
                                            </div>
                                        </li>
                                        <?php

                                        foreach ($dropdowns['brands'] as $cat) {
                                            echo '<li>';
                                            echo '<a class="dropdown-item" href="?main_page=index&cPath=1_' . $cat['categories_id'] . '">' . $cat['categories_name'] . '</a>';
                                            echo '</li>';
                                        }

                                        ?>
                                    </div>
                                </ul>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link dropdown-toggle header-nav-link" role="button" data-bs-toggle="dropdown"
                                    aria-expanded="false">
                                    PARTS
                                </a>
                                <ul class="dropdown-menu navbar-dropdown-menu">
                                    <div class="navbar-dropdown-container">
                                        <li class="navbar-dropdown-header-container">
                                            <div class="navbar-dropdown-header">
                                                <i class="fa-solid fa-left-long fa-xl navbar-dropdown-header-icon"></i>
                                                <p class="navbar-dropdown-header-text">PARTS</p>
                                            </div>
                                        </li>
                                        <?php

                                        foreach ($dropdowns['parts'] as $cat) {
                                            echo '<li>';
                                            echo '<a class="dropdown-item" href="?main_page=index&cPath=4433_' . $cat['categories_id'] . '">' . $cat['categories_name'] . '</a>';
                                            echo '</li>';
                                        }

                                        ?>
                                    </div>
                                </ul>
                            </li>
                            <li class="nav-item" id="navbar-account-nav-item">
                                <a class="nav-link dropdown-toggle header-nav-link" role="button" data-bs-toggle="dropdown"
                                    aria-expanded="false">
                                    ACCOUNT
                                </a>
                                <ul class="dropdown-menu navbar-dropdown-menu navbar-account-dropdown">
                                    <div class="navbar-dropdown-container">
                                        <li class="navbar-dropdown-header-container">
                                            <div class="navbar-dropdown-header">
                                                <i class="fa-solid fa-left-long fa-xl navbar-dropdown-header-icon"></i>
                                                <p class="navbar-dropdown-header-text">ACCOUNT</p>
                                            </div>
                                        </li>
                                        <?php if(zen_is_logged_in()) { ?>
                                            <li><a class="dropdown-item" href="<?php echo zen_href_link("login", '', 'SSL'); ?>">My Account</a></li>
                                            <li><a class="dropdown-item" href="<?php echo zen_href_link("logout", '', 'SSL'); ?>">Log Out</a></li>
                                        <?php  } else { ?>
                                            <li><a class="dropdown-item" href="<?php echo zen_href_link("login", '', 'SSL'); ?>">Login</a></li>
                                            <li><a class="dropdown-item" href="<?php echo zen_href_link("register", '', 'SSL'); ?>">Register</a></li>
                                        <?php } ?>
                                    </div>
                                </ul>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link-no-hover header-nav-link" href="<?php echo zen_href_link("contact_us", '', 'SSL'); ?>" title="Reach Out To Us!">CONTACT US</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </nav>
</header>
<p class="container-fluid text-center bg-tan">Is your order time-sensitive? <a class="text-black" href="mailto:contact@westechequipment.com" title="Westech Equipment Contact Email Address">Send us an email</a> or <a href="tel:1-800-433-8831" title="Westech Equipment Phone Number" class="text-black">call us</a> to see which suppliers are experiencing material shortages or delayed shipping times.</p>