<main class="container-lg">
    <div class="row">
        <h1 class="mb-3">Policies</h1>
        <div class="col-12 col-lg-4">
            <ol class="list-group list-group-numbered list-border-none" id="policies-list">
                <li class="list-group-item">
                    <a href="<?php echo zen_href_link("policies#return-policy", '', 'SSL'); ?>">Return</a>
                </li>
                <li class="list-group-item">
                    <a href="<?php echo zen_href_link("policies#shipping-and-delivery-policy", '', 'SSL'); ?>">Shipping and Delivery</a>
                </li>
                <li class="list-group-item">
                    <a href="<?php echo zen_href_link("policies#privacy-policy", '', 'SSL'); ?>">Privacy</a>
                </li>
            </ol>
        </div>
        <div class="col-12 col-lg-8">
            <div class="policy-container" id="return-policy">
                <h2>Return Policy</h2>
                <p class="policy-sub-header">Returns:</p>
                <p>No goods may be returned without the Seller's written permission. If such authorization is given, unless otherwise stated in the authorization, transportation charges must be prepaid by the Buyer. All goods authorized for return are subject to the Seller's inspection and acceptance, and must be returned in the factory packaging, in new/unused condition. Merchandise may only be returned within 14 days of purchase and must be accompanied by the invoice number and/or a copy of the sales receipt. All goods, services or products that are non-stocking, special order, cut or fabricated to a specific size or length are not returnable. A MINIMUM of a 25% restocking fee and 6% credit card processing fee apply to all returned merchandise. No returns allowed on Goods under $100. It is understood that no goods can be returned for credit without adhering to the above conditions.</p>

            </div>
            <div class="policy-container" id="shipping-and-delivery-policy">
                <h2>Shipping and Delivery Policy</h2>
                <p class="text-danger policy-sub-header">Equipment and Material Lead Times:</p>
                <p>Due to the global pandemic, labor shortages, material shortages, importing delays, and shipping delays, we are experiencing longer than normal lead times for most of the products we sell which may affect items on this proposal and contract.</p>
                <p>The items or materials affected do vary, but we are currently seeing most delays on items that are non-stock, special order or custom manufactured/fabricated.</p>
                <p>These delays are out of Westech Fuel Equipment’s care and control and we cannot guarantee delivery dates or times, as these vary on a daily basis.</p>
                <p>Westech will have no liability for any delays or failure to deliver, as a result of these delays. In addition, due to material shortages some manufacturers have discontinued manufacturing certain products. If during the ordering process this occurs, Westech will notify of replacement options, but will have no obligation to provide the item that has been discontinued.</p>
                <p class="policy-sub-header">Shipping &amp; Delivery:</p>
                <p>Orders normally ship within 7-10 business days from the date of order placement. Delivery is normally by standard freight, UPS, USPS, or FEDEX depending on the weight of your order and/or the shipping destination. Please note, business day refers to weekdays - Monday to Friday, and does not cover weekends or holidays.</p>
                <p>In the event that all or part of your order is not in stock, we will inform you by e-mail as soon as possible. Non-stock items will ship at the discretion of the manufacturer. If a product is marked as 'Ships from Manufacturer' on our website please call or email us ahead of time to find out the availability of this item before placing your order online.</p>
                <p class="policy-sub-header">Shipping Charges:</p>
                <p>Shipping charges are extra, and will be added to invoice. Shipping charges are calculated based on location, weight of the product including packaging, volumetric weight if applicable and necessary insurance coverage and handling charges. You can view the relevant shipping charges to your chosen destination easily by adding any product to your "Shopping Cart" and proceeding to the checkout screen. On the checkout screen you will see a drop-down menu of applicable shipping charges. If your order amount is greater than $500.00 please notify the seller if you would like to purchase insurance for the shipment.</p>
                <p>The following shipment types are all subject to additional freight charges: Residential, rural, restricted gates access, 2nd delivery charges, and redirection. These additional costs may not be known at the time of order and may require an additional payment be made to Westech Equipment by the Buyer. Buyer agrees to provide credit card payment information at the time of notification. If not paid at the time of notification Westech Equipment’s standard payment terms apply.</p>
                <p class="policy-sub-header">Expedited Shipping:</p>
                <p>If the product(s) ordered are 'Factory Shipped' then Westech does not guarantee that the item will ship the same day that the order is placed. There might even be a lead time of an unknown period of time that is at the mercy of the manufacturer who ships the product. Westech will always strive to do our best to ship expedited orders in a timely manner but cannot guarantee that it will happen. If you really do need an item to ship the same day and also be expedited please contact us before placing the order online so that we can tell you how soon the item will ship.</p>
                <p class="policy-sub-header">Shipment/Risk of Loss:</p>
                <p>Unless otherwise agreed, all shipments will be made by third-party carriers chosen by Westech Equipment, at costs, tariffs and other charges, and in accordance with terms and conditions established by Westech Equipment from time to time. In the event that Customer elects to arrange transportation other than the arrangement contemplated hereby, then Customer shall be responsible for all costs, tariffs and charges of any nature associated with the shipment of any Product to Customer. In such case, the shipper will invoice Customer directly, or Westech Equipment may invoice Customer, for all such costs, tariffs and charges. The risk of loss associated with any Product and title passes to Customer upon delivery of the goods to the shipping point, FOB, subject to the reservation of a security interest to Westech Equipment in Section 11 of this Agreement. Westech Equipment shall have no liability of any kind or nature, whether for consequential or other damages for any reason whatsoever, relating to shipment of Product purchased by Customer, including but not limited to damage to the Product, taxes, duties, loss, theft or any illness of or personal injury to any person or property under any environmental, health or safety law.</p>
                <p class="policy-sub-header">Damaged Shipments:</p>
                <p>Upon arrival inspect package or shipping container for damage. Do not sign the freight receiving document if the package or container is damaged upon arrival. Refuse the shipment or make a note on the freight receiving document that the shipment is damaged. If you elect to receive the damaged shipment please open and inspect the merchandise and notify the freight carrier and the seller within 5 days of receiving the shipment.</p>
                <p class="policy-sub-header">Refused Shipments:</p>
                <p>Orders that have been shipped to the shipping address as supplied by the customer, and which are subsequently returned to Westech Equipment as undeliverable/refused are subject to a maximum refund of the value of the products ordered only minus a 25% restocking fee, (not including shipping costs). Unless the product(s) is/are non-stocking , special order, cut or fabricated to a specific size or length, then such products can not be refunded.</p>
                <p class="policy-sub-header">Partial Delivery:</p>
                <p>We reserve the right to make partial shipments. Invoices covering those shipments should be paid when they fall due.</p>
                <p class="policy-sub-header">International Shipping:</p>
                <p>Please call or e-mail for international shipping quotes.</p>
            </div>
            <div class="policy-container" id="privacy-policy">
                <h2>Privacy Policy</h2>
                <p class="fw-bold">Privacy Policy - Westech Equipment</p>
                <p class="policy-sub-header">General:</p>
                <p>Westech Equipment respects the privacy of every individual who visits our websites or responds to our guestbooks, contests, or interactive advertisements. This Privacy statement outlines the information Westech Equipment will collect and how we will use that information. This Statement will inform you what to do if you do not want your personal information to be shared or divulged when you visit a Westech Equipment website or respond to our advertising. Westech Equipment reserves the right to change this policy at any time by posting a new privacy policy at this location, and your continued use of our website indicates your acceptance of such changed terms.</p>
                <p class="policy-sub-header">Personally- Identifiable Information:</p>
                <p>Westech Equipment will not collect any personally-identifiable information about you (that is your name, address, telephone number, or email address) unless you provide it voluntarily and knowingly.</p>
                <p>If you do not want your personally - identifiable information collected do not submit it to us. If you do submit personally identifiable information, we will use it in the following ways, unless stated otherwise:</p>
                <p>
                    1. We may store and process that information to better understand your needs and how we can improve our product offerings and services.<br />
                    2. We may use that information to contact you.<br />
                    3. We will not give or sell your individual information to any outside company for its use in marketing or solicitation<br />
                    4. Will maintain the confidentiality of your personal information, and it will only be used to support your relationship with Westech Equipment and its Web sites.
                </p>
                <p>Unfortunately, we cannot ensure that all of your private communications and other personally identifiable information will never be disclosed in ways not otherwise described in this Privacy statement. By way of example (without limiting the foregoing), we may be forced to disclose information to the government or third parties under certain circumstances, or third parties may unlawfully intercept or access transmissions or private communications.</p>
                <p>We can (and you authorize us to) disclose any information about you to law enforcement or other government officials as we, in our sole discretion, believe necessary or appropriate, in connection with an investigation of fraud, intellectual property infringements, or other activity that is illegal or may expose us to legal liability. Therefore, although we will protect your privacy as described in this Privacy Policy, we do not promise, and you should not expect, that all your personally identifiable information or private communications will remain private.</p>
                <p class="policy-sub-header">Children (under thirteen):</p>
                <p>Westech Equipment has no intention of collecting any personally identifiable information (that is your name, address, telephone number, or email address) from individuals under thirteen years of age through this website. The Westech Equipment websites that do collect information from Children do so in accordance with the privacy policies located at such websites.</p>
                <p>Please review such privacy policies when entering those sites. If a child has provided us with personally identifiable information a parent or guardian should contact us at the e-mail address listed at the bottom of this statement if they want this information to be deleted from the records. We will use all reasonable efforts to delete the child's information from our existing files.</p>
                <p class="policy-sub-header">Non- Personally - Identifiable Information Collected Automatically:</p>
                <p>In some cases, we may collect information about you that is not personally-identifiable. Examples of this type of information include the Internet browser you a using, the type of operating system, and the domain name of the website which linked you to our site. When you view one of our websites, we may store information from time to time on your computer. These "Cookies" allow us to tailor a website or advertisement to better match your interests and preferences. With most Internet Browsers you can block, receive a warning or erase all "Cookies" from your hard drive.</p>
                <p>Please refer to your browser instructions or help screen to learn more about these functions. We also collect an IP address from all visitors to our website. An IP address is a number that is automatically assigned to your computer when you use the Internet. We use IP addresses to help diagnose problems with our server, administer our website, analyze trends, track users' movement, gather broad demographic information for aggregate use in order for us to improve the site, and deliver customized, personalized content. IP addresses are also not linked to personally identifiable information.</p>
                <p class="policy-sub-header">Opting Out of Receiving Communications from Us:</p>
                <p>Westech Equipment may send you communications regarding its services, its websites or otherwise. Westech Equipment provides you the opportunity to opt-out of receiving such communications by indicating your desire to opt-out. If you would like to opt out of receiving communications from us please email us at contact@westechequipment.com.</p>
                <p class="policy-sub-header">Correcting or Updating Information:</p>
                <p>At any time, you can view, update and/or remove your account information. Upon your request, we will also remove any other personally identifying information we may retain from our databases. To make any such changes or requests, please email us at contact@westechequipment.com. Additional residual information may remain in our archives and records, but this information will not be used for any commercial purpose. We reserve the right to maintain information on users who have violated our Terms of Use or who have had their access to our website blocked.</p>
                <p class="policy-sub-header">Security:</p>
                <p>All information provided to Westech Equipment is transmitted using certified encryption. A proven coding system that lets your browser automatically encrypt, or scramble, data before you send it to us. We also protect your information by placing it on a secure portion of our website that is only accessible by certain qualified employees of Westech Equipment. Unfortunately, however, no data transmission over the Internet is 100% secure. While we strive to protect your information, we cannot ensure or warrant the security of such information.</p>
                <P class="policy-sub-header">Other Web Sites:</p>
                <p>Westech Equipment's website contains links to other websites. Please note that when you click on one of these links, you are entering another website for which Westech Equipment has no responsibility. We encourage you to read the privacy statements on all such sites as their policies may be different than ours. Also, you may have entered this website from an unrelated third party website. Likewise, Westech Equipment has no responsibility for such third party websites and you should review their privacy statements.</p>



            </div>
        </div>
    </div>
</main>